Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
BulletRayHit Struct Reference

## Public Member Functions
PN_stdfloat | get_hit_fraction () const
LVector3 | get_hit_normal () const
LPoint3 | get_hit_pos () const
PandaNode * | get_node () const
int | get_shape_part () const
int | get_triangle_index () const

## Static Public Member Functions
static BulletRayHit | empty ()
| Named constructor intended to be used for asserts with have to return a concrete value.

## Public Attributes
| get_hit_fraction
| get_hit_normal
| get_hit_pos
| get_node
| get_shape_part
| get_triangle_index

## Friends
struct | BulletAllHitsRayResult

## Detailed Description

Definition at line 29 of file bulletAllHitsRayResult.h.

## Member Function Documentation

## ◆ empty()

BulletRayHit BulletRayHit::empty | ( |  | ) |
| inline static

Named constructor intended to be used for asserts with have to return a concrete value.

Definition at line 28 of file bulletAllHitsRayResult.I.

## Friends And Related Symbol Documentation

## ◆ BulletAllHitsRayResult

friend struct BulletAllHitsRayResult
| friend

Definition at line 58 of file bulletAllHitsRayResult.h.

## Member Data Documentation

## ◆ get_hit_fraction

PN_stdfloat BulletRayHit::get_hit_fraction

Definition at line 45 of file bulletAllHitsRayResult.h.

## ◆ get_hit_normal

LVector3 BulletRayHit::get_hit_normal

Definition at line 44 of file bulletAllHitsRayResult.h.

## ◆ get_hit_pos

LPoint3 BulletRayHit::get_hit_pos

Definition at line 43 of file bulletAllHitsRayResult.h.

## ◆ get_node

PandaNode * BulletRayHit::get_node

Definition at line 42 of file bulletAllHitsRayResult.h.

## ◆ get_shape_part

int BulletRayHit::get_shape_part

Definition at line 46 of file bulletAllHitsRayResult.h.

## ◆ get_triangle_index

int BulletRayHit::get_triangle_index

Definition at line 47 of file bulletAllHitsRayResult.h.

The documentation for this struct was generated from the following files:

- panda/src/bullet/bulletAllHitsRayResult.h
- panda/src/bullet/bulletAllHitsRayResult.cxx
- panda/src/bullet/bulletAllHitsRayResult.I